Bug 497387 - yum is blamed to use 8-bit bytestrings???
yum is blamed to use 8-bit bytestrings???
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 12:36 EDT by Matěj Cepl
Modified: 2014-01-21 18:09 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 16:44:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2009-04-23 12:36:50 EDT
Description of problem:
[root@viklef matej]# yum list \*google\* \*gdata\* 
Loaded plugins: aliases, allowdowngrade, changelog, dellsysidplugin2,
              : fastestmirror, list-data, merge-conf, remove-with-leaves,
              : security, verify
Loading mirror speeds from cached hostfile
 * livna: rpm.livna.org
 * rawhide: ftp.nluug.nl
 * rawhide-debuginfo: ftp.nluug.nl
Excluding Packages in global exclude list
Finished
Error: You must not use 8-bit bytestrings unless you use a text_factory that can interpret 8-bit bytestrings (like text_factory = str). It is highly recommended that you instead just switch your application to Unicode strings.
[root@viklef matej]# locale
LANG=cs_CZ.UTF-8
LC_CTYPE="cs_CZ.UTF-8"
LC_NUMERIC="cs_CZ.UTF-8"
LC_TIME="cs_CZ.UTF-8"
LC_COLLATE="cs_CZ.UTF-8"
LC_MONETARY="cs_CZ.UTF-8"
LC_MESSAGES="cs_CZ.UTF-8"
LC_PAPER="cs_CZ.UTF-8"
LC_NAME="cs_CZ.UTF-8"
LC_ADDRESS="cs_CZ.UTF-8"
LC_TELEPHONE="cs_CZ.UTF-8"
LC_MEASUREMENT="cs_CZ.UTF-8"
LC_IDENTIFICATION="cs_CZ.UTF-8"
LC_ALL=
[root@viklef matej]# rpm -q rpm yum
rpm-4.7.0-1.fc11.x86_64
yum-3.2.22-4.fc11.noarch
[root@viklef matej]# 

How reproducible:
happened once

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
yum crashes as seen above

Expected results:
just whatever I want from yum to be done

Additional info:
WTF???
Comment 1 seth vidal 2009-05-11 11:00:14 EDT
Is this still going on with latest yum in rawhide?
Comment 2 Matěj Cepl 2009-05-11 16:44:42 EDT
No, I think it went away somewhere in RAwhide.

Note You need to log in before you can comment on or make changes to this bug.